//
//  CLWeakInstance.h

//
//  Created by Oleksii Lytvynov-Bohdanov on 9/13/19.
//  Copyright © 2019 Castlabs. All rights reserved.
//

#define weakify(var) __weak typeof(var) AHKWeak_##var = var;

#define strongify(var)                                                         \
  _Pragma("clang diagnostic push")                                             \
      _Pragma("clang diagnostic ignored \"-Wshadow\"")                         \
          __strong typeof(var) var = AHKWeak_##var;                            \
  _Pragma("clang diagnostic pop")
